<ion-header>
    <!-- <ion-buttons slot="start">
        <ion-button (click)="goOpenMenu()">
            open
        </ion-button>
    </ion-buttons> -->
   
    <ion-toolbar> 
    <ion-buttons slot="start">
        <ion-menu-button></ion-menu-button>
    </ion-buttons>
        <ion-title>Discover Places</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content padding>
    <ion-segment (ionChange)="onFilter($event)">
        <ion-segment-button value="all" checked>All Places</ion-segment-button>
        <ion-segment-button value="bookable">Bookable Places</ion-segment-button>
    </ion-segment>

    <div *ngIf="isLoading" text-center>
        <ion-spinner color="primary" ></ion-spinner>
    </div>

    <ion-grid *ngIf="!isLoading && (!relativePlaces || relativePlaces.length <= 0)">
        <ion-row>
            <ion-col>
                <p>
                    there are no bookable places right now, please come back later !
                </p>
            </ion-col>
        </ion-row>
    </ion-grid>

    <ion-grid *ngIf="!isLoading || relativePlaces.length > 0">
        <ion-row>
            <ion-col text-center>
                <ion-card>
                    <ion-card-header>
                        <ion-card-title>
                            {{relativePlaces[0].title}}
                        </ion-card-title>
                        <ion-card-subtitle>{{relativePlaces[0].price}} /Night</ion-card-subtitle>
                    </ion-card-header>
                    <ion-img [src]="relativePlaces[0].imageURL"></ion-img>
                    <ion-card-content>

                        <p>{{ relativePlaces[0].description }}</p>
                    </ion-card-content>
                    <div>
                        <ion-button fill="clear" color="primary" [routerLink]="['/', 'places','tabs','discover',relativePlaces[0].id]">More</ion-button>
                    </div>
                </ion-card>
            </ion-col>
        </ion-row>

    </ion-grid>

    <ion-grid>
     
        <ion-row>
            <ion-col size="12" size.sm="8" offset.sm="2" text-center>
                <ion-virtual-scroll [items]="listedLoadedPlaces">
                    <ion-item [routerLink]="['/', 'places','tabs','discover',place.id]" *virtualItem="let place" detail>
                        <ion-thumbnail slot="start">
                            <ion-img [src]="place.imageURL"></ion-img>
                        </ion-thumbnail>
                        <ion-label>
                            <h2>{{ place.title }}</h2>
                            <p>{{ place.description }}</p>
                        </ion-label>

                    </ion-item>
                </ion-virtual-scroll>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>